| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iAlgTool Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgTool:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgTool:
[legend]

## Public Member Functions
def | __init__ (self, name, itool=None)
def | retrieveInterface (self)
def | start (self)
def | stop (self)
def | type (self)
def | name (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python equivalent to IAlgTool interface (not completed yet)

Definition at line 461 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iAlgTool.__init__ | ( |  | self,
|  |  | name,
|  |  | itool = `None`
| ) |  |

Definition at line 464 of file Bindings.py.

464 def __init__(self, name, itool=None):
465 iProperty.__init__(self, name, itool)
466 if itool:
467 self.__dict__['_itool'] = itool
468 else:
469 self.__dict__['_itool'] = None
470 svc = Helper.service(self._svcloc, 'ToolSvc', True)
471 self.__dict__['_toolsvc'] = iToolSvc('ToolSvc', svc)
472
GaudiPython.Bindings.iToolSvc
Definition: Bindings.py:773
GaudiPython.Bindings.iAlgTool.__init__
def __init__(self, name, itool=None)
Definition: Bindings.py:464

## Member Function Documentation

def GaudiPython.Bindings.iAlgTool.name | ( |  | self | ) |

Definition at line 484 of file Bindings.py.

484 def name(self):
485 if self._itool:
486 return self._itool.name()
487 else:
488 return self._name
489
490 # ----iDataSvc class-----------------------------------------------------------
491
492
GaudiPython.Bindings.iAlgTool.name
def name(self)
Definition: Bindings.py:484

def GaudiPython.Bindings.iAlgTool.retrieveInterface | ( |  | self | ) |

Definition at line 473 of file Bindings.py.

473 def retrieveInterface(self):
474 itool = self._toolsvc._retrieve(self._name)
475 if itool:
476 iAlgTool.__init__(self, self._name, itool)
477
GaudiPython.Bindings.iAlgTool.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:473

def GaudiPython.Bindings.iAlgTool.start | ( |  | self | ) |

Definition at line 478 of file Bindings.py.

478 def start(self): return self.__call_interface_method__("_itool", "start")
479
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgTool.start
def start(self)
Definition: Bindings.py:478

def GaudiPython.Bindings.iAlgTool.stop | ( |  | self | ) |

Definition at line 480 of file Bindings.py.

480 def stop(self): return self.__call_interface_method__("_itool", "stop")
481
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244
GaudiPython.Bindings.iAlgTool.stop
def stop(self)
Definition: Bindings.py:480

def GaudiPython.Bindings.iAlgTool.type | ( |  | self | ) |

Definition at line 482 of file Bindings.py.

482 def type(self): return self.__call_interface_method__("_itool", "type")
483
GaudiPython.Bindings.iAlgTool.type
def type(self)
Definition: Bindings.py:482
GaudiPython.Bindings.iProperty.__call_interface_method__
def __call_interface_method__(self, ifname, method, args)
Definition: Bindings.py:244

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py